Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  xref entfernen ins Kontextmenü

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  xref entfernen ins Kontextmenü (163 mal gelesen)
Siegfried Rief
Mitglied
Lehrer, Architekt


Sehen Sie sich das Profil von Siegfried Rief an!   Senden Sie eine Private Message an Siegfried Rief  Schreiben Sie einen Gästebucheintrag für Siegfried Rief

Beiträge: 247
Registriert: 16.11.2011

ACAD 2023, imos iX2017 im Novellnetz
Fachschule für Holztechnik Stuttgart

erstellt am: 05. Jan. 2023 12:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen und noch ein Gutes Neues,

fürs ausblenden/entfernen von xrefs gibts ja die xref-Palette. Für "mal schnell" in der Zeichnung eine (störende) xref auszublenden suche ich nach dem passenden Befehl, um ihn ins xref-Kontextmenü einzubauen, finde aber nichts ...

Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21429
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 05. Jan. 2023 12:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Siegfried Rief 10 Unities + Antwort hilfreich

Der Befehl für DWG XRefs ist -XREF
, viel Spaß beim restlichen programmieren (der Befehl verlangt nach dem Referenznamen) und basteln 

[Antwort wurde editiert] 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Siegfried Rief
Mitglied
Lehrer, Architekt


Sehen Sie sich das Profil von Siegfried Rief an!   Senden Sie eine Private Message an Siegfried Rief  Schreiben Sie einen Gästebucheintrag für Siegfried Rief

Beiträge: 247
Registriert: 16.11.2011

ACAD 2023, imos iX2017 im Novellnetz
Fachschule für Holztechnik Stuttgart

erstellt am: 05. Jan. 2023 13:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Tja, der Name ist tatsächlich - für mich - das Problem. Nix mit "wahl" und dann "vorherige Menge" sondern so was wie
"gib mir den Namen der angeklickten XRef und schreib ihn in die Variable "Name";-xref;e;Name;;

(soviel zu meinen "Programmierkenntnissen")

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21429
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 05. Jan. 2023 14:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Siegfried Rief 10 Unities + Antwort hilfreich

Von dem Ausgangspunkt aus will ich jetzt nicht anfangen, aber ohne perfekte Fehlerprüfung wäre soetwas:
(if (and (setq lss (ssget "_I" '((0 . "INSERT"))))(= 1 (sslength lss))) (setq lss (cdr(assoc 2 (entget(ssname lss 0))))))

Dann könntest du in einem Makro danach den Namen mit !lss angeben.

Oder du bemühst gleich einen Lisp (command -Ausdruck
(if (and (setq lss (ssget "_I" '((0 . "INSERT"))))(= 1 (sslength lss))) (command "_.-XREF" "_unload" (cdr(assoc 2 (entget(ssname lss 0))))))


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2608
Registriert: 02.05.2006

AutoCAD LandDesktop R2 bis 2004
Civil 3D 2005 - 2022
Bricscad V11-V21 pro
Plateia, Canalis
Visual Basic

erstellt am: 05. Jan. 2023 14:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Siegfried Rief 10 Unities + Antwort hilfreich

Bei uns werden XRef auf spezielle Layer gelegt, XRef_(eindeutiger Name)
Zum ausblenden braucht man dann nur den Layer frieren.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Siegfried Rief
Mitglied
Lehrer, Architekt


Sehen Sie sich das Profil von Siegfried Rief an!   Senden Sie eine Private Message an Siegfried Rief  Schreiben Sie einen Gästebucheintrag für Siegfried Rief

Beiträge: 247
Registriert: 16.11.2011

ACAD 2023, imos iX2017 im Novellnetz
Fachschule für Holztechnik Stuttgart

erstellt am: 05. Jan. 2023 18:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Zwischenablage1.jpg

 
Ich bin begeistert.

>> habe aus der lisp-Zeile einen Befehl erstellt und dem Kontextmenü zugeordnet.

Vielen Dank!

@KlaK: Auch interessant, verlangt allerdings "stringentes" Vorgehen und oft siegt aber die Faulheit ...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21429
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 05. Jan. 2023 18:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Siegfried Rief 10 Unities + Antwort hilfreich

Dann Danke fürs teilen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz